
Family Care - Bug #2328

Open file - functional cases

11/16/2020 01:07 PM - Saja Nakhleh

Status: Closed Start date: 11/16/2020

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Saja Nakhleh Actual Result:  

Severity: Normal Environment: QA

Category: FC Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser:  

Pre_Conditions:  URL:  

Expected Result:  Test Case ID:  

Description

the following mandatory fields should be marked with red star:

بيانات الحالة

نوع السكن .1

حالة السكن .2

القرض العقاري .3

:بيانات الصرف

البنك .1

رقم الحساب .2

رمز تدقيق الايبان .3

الوحدة التابعة لها .4

2. the following informative message should be clearer to show the record place (tab and table name: i.e: يجب على الاقل اضافة رقم

instead of the message in evidence 9.jpg ( موبايل واحد في جدول وسائل الاتصال

3. once the user clicks add new (وسيلة اتصال) the dialog will be opened with error messages (occurred before the user enter any

value or take any action)

the messages should be occurred once one of the mandatory fields is kept empty only! Evidence 10.jpg

4. start new (Open file) task

submit it as (300101900555/2051670105/طلبة يدرسون بالخارج)

fill all the mandatory fields then click submit

an exception will be occurred with the successful message as on evidence 12.gif)

5. the system accepts the singles' civil ids as (مطلقات) and (ارامل)

i.e: 302062500266    2123740102 for single girl is accepted as (ارامل) and (مطلقات). evidence 13.jpg

6. the dates of تاريخ الصرف , تاريخ المهلة , تاريخ الموافقة should be validated as follow:

تاريخ الموافقة يجب ان يسبق تاريخ الرف و تاريخ انتهاء المهلة

تاريخ الصرف يجب ان يسبق تاريخ المهلة

but in the current behavior, the dates are not validate any values ! evidence 26.gif

7. the attachments names should be viewed once they are uploaded successfully

the current behavior keeps: No file Chosen ! although the attachment is attached and could be viewed ! evidence 27.gif

History

#1 - 11/16/2020 01:25 PM - Saja Nakhleh

- File 1.GIF added
#2 - 12/03/2020 12:44 PM - Saja Nakhleh

- File deleted (1.GIF)

#3 - 12/03/2020 04:18 PM - Saja Nakhleh

- File 9.GIF added

- File 10.GIF added

- File 12.GIF added

- Project changed from COOP Project to Family Care

- Description updated

- Assignee set to Saja Nakhleh

- Co-Workers Mohannad Sabra, Musab Khuraisat added

#4 - 12/03/2020 04:20 PM - Saja Nakhleh

- Description updated

#5 - 12/08/2020 02:27 PM - Saja Nakhleh

- File 13.gif added

- Description updated

#6 - 12/09/2020 01:50 PM - Saja Nakhleh

- Subject changed from FC bugs to Open file - functional cases

- Assignee changed from Saja Nakhleh to Mohannad Sabra

#7 - 12/14/2020 12:26 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Musab Khuraisat

Dear Musab,

Kindly take action regarding the issues mentioned.

#8 - 12/14/2020 02:39 PM - Saja Nakhleh

- File 26.GIF added

- Description updated

#9 - 12/14/2020 02:47 PM - Saja Nakhleh

- File 27.GIF added

- Description updated

#10 - 12/27/2020 09:59 AM - Mohannad Sabra

- Assignee changed from Musab Khuraisat to Saja Nakhleh

- % Done changed from 0 to 100

All notes are solved except #7 its component limitation and further search will be done.

#11 - 03/29/2021 12:49 PM - Mohannad Sabra

- Status changed from Open to Fixed

#12 - 04/07/2021 11:53 AM - Saja Nakhleh
- File 5.GIF added

Issue #1:

tested and verified for all the fields

Issue #2:

tested and verified

Issue #3:

tested and verified

Issue #4:

tested and verified

Issue #5:

tested and verified.

Issue #6:

tested and verified. observe evidence 5.gif

Issue #7:

verified as technical limitation

#13 - 04/07/2021 02:33 PM - Saja Nakhleh

- File 81.GIF added

- File 82.GIF added

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Mohannad Sabra

- Co-Workers deleted (Musab Khuraisat)

New issues:

issue #8:

all the validation should be applied even on the submit action or when navigationg out the tab, the current validations on (researcer decision) and

(address info) are occurred when the user navigates out the tab, although all the other validations are applied on the submit action.

evidence 82.gif

Issue #9:

1. Open new open file submission form and fill all the mandatory fields

2. navigate to the (بيانات الحالة) tab and click (تفاصيل الدخل)

3. keep (نوع الدخل) empty and fill the (قيمة الدخل) with any value

4. cick OK

result: the income type could be entered many times with empty types !

evidence 81.gif
#14 - 04/08/2021 12:17 PM - Saja Nakhleh

- Assignee changed from Mohannad Sabra to Musab Khuraisat

#15 - 04/09/2021 11:10 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Dear Saja,

the issue has been solved and you can test it again.

#16 - 04/12/2021 11:15 AM - Saja Nakhleh

- File 85.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #8:

the error that is ocurred over the tab should be fixed on the minor fileds (الوحدة الفرعية) and (وصف الحالة السكنية) to be occurred on submission

Issue #9:

tested and verified.

Issue #10:

1. Open the open file submission form

2. keep all the fields empty and fill the field (الوحدة الفرعية)

3. navigate to the (بيانات الحالة) tab and click update

4. fill the required fields by the error message only

5. click update again and observe the NULL

evidence 85.gif

#17 - 04/13/2021 12:04 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Issue #8 AND Issue #10 are resolved

#18 - 04/14/2021 02:34 PM - Saja Nakhleh

- File 91.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #8:

still duplicated !!

Issue #10:

the null is not occurred but the error message is not informative and have multiple repetitions . evidence 91.gif

#19 - 04/20/2021 11:19 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh
#20 - 04/21/2021 03:31 PM - Saja Nakhleh

- File 94.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #8:

tested and verified. but the field (وصف الحالة السكنية) should be marked with red star as it's still mandatory

Issue #10:

a new exception will be occurred on the same original scenario (keep everything empty, click update then add the id and serial number :

299021901085/2007943109). evidence 94.gif

#21 - 05/01/2021 12:02 AM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

- Co-Workers Saja Nakhleh added

- Co-Workers deleted (Mohannad Sabra)

Done.

#22 - 05/03/2021 03:31 PM - Saja Nakhleh

- File 101.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #10:

new exception is occurred for the same scenario. evidence 101.gif

#23 - 05/03/2021 04:04 PM - Saja Nakhleh

- Assignee changed from Musab Khuraisat to Saja Nakhleh

#24 - 05/04/2021 02:40 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #10:

tested and verified as the data tab is disabled till the user enter the serial number and civil id

Files

9.GIF 246 KB 12/03/2020 Saja Nakhleh

10.GIF 242 KB 12/03/2020 Saja Nakhleh

12.GIF 294 KB 12/03/2020 Saja Nakhleh

13.gif 80.3 KB 12/08/2020 Saja Nakhleh

26.GIF 90.6 KB 12/14/2020 Saja Nakhleh

27.GIF 212 KB 12/14/2020 Saja Nakhleh

5.GIF 62.1 KB 04/07/2021 Saja Nakhleh

81.GIF 34.8 KB 04/07/2021 Saja Nakhleh

82.GIF 36.4 KB 04/07/2021 Saja Nakhleh

85.GIF 294 KB 04/12/2021 Saja Nakhleh

91.GIF 79.2 KB 04/14/2021 Saja Nakhleh

94.GIF 126 KB 04/21/2021 Saja Nakhleh

101.GIF 155 KB 05/03/2021 Saja Nakhleh
